Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004316 [JEDI VCL] 00 JVCL Components minor always 2007-12-13 04:19 2008-02-20 10:50
Reporter roku View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.33
Summary 0004316: TJvCheckTreeView: Checkmark drawn, but internal state of the node is unchecked
Description See the attached demo program.

Steps to reproduce:
1. Start demo program
2. Check node 9 using the mouse
3. Node 9 scrolls into view and the checkmark is drawn
4. Uncheck node 9 using the mouse
5. Node 9 is still checked, and the NodeCheckedChange event is fired. A message dialog pops up saying that node 9 is still checked.
Additional Information I think this bug has something to do with the scrolling into view of the tree node.
Tags No tags attached.
Attached Files zip file icon TJvCheckTreeView node check bug.zip [^] (18,617 bytes) 2007-12-13 04:19

- Relationships

-  Notes
(0014195)
obones (administrator)
2008-02-20 10:50

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2007-12-13 04:19 roku New Issue
2007-12-13 04:19 roku File Added: TJvCheckTreeView node check bug.zip
2007-12-14 03:54 roku Issue Monitored: roku
2008-02-20 10:50 obones Status new => resolved
2008-02-20 10:50 obones Fixed in Version => Daily / SVN
2008-02-20 10:50 obones Resolution open => fixed
2008-02-20 10:50 obones Assigned To => obones
2008-02-20 10:50 obones Note Added: 0014195


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker